Skip To Content

00147: The <value> extension is not <value> on the ArcGIS Server

The ArcGIS Server you are publishing to has one of the following issues.

  • The ArcGIS Server does not have an appropriate server extension needed for either the service capability you are trying to publish, or for the data type you want to expose in your service.
  • The ArcGIS Server has the appropriate server extension, but the server does not have the required license.
  • The ArcGIS Server has the appropriate server extension and required license, but the license has expired.

The <value> parameters cover the extension type, and whether the extension is not licensed, or not valid.

Solutions

Authorize the appropriate extension on the ArcGIS server using a valid license.

More information

The following capabilities or data types require extensions. Each extension requires the appropriate license.

Capability or data typeServiceRequired extension

Network analysis capability

  • Map service

ArcGIS Network Analyst extension

Mosaic dataset

  • Map service
  • Image service

ArcGIS Image Server

Raster dataset using mosaic function

  • Map service
  • Image service

ArcGIS Image Server

Data Interoperability-related data formats

  • Map service

ArcGIS Data Interoperability 10.6 for Server

This error covers the following conditions.

  • The ArcGIS Network Analyst extension is not licensed on the ArcGIS Server.
  • The ArcGIS Network Analyst extension is not valid on the ArcGIS Server.
  • The ArcGIS Image Server is not licensed on the ArcGIS Server.
  • The ArcGIS Image Server is not valid on the ArcGIS Server.
  • The ArcGIS Data Interoperability 10.6 for Server is not licensed on the ArcGIS Server.
  • The ArcGIS Data Interoperability 10.6 for Server is not valid on the ArcGIS Server.

Learn more about ArcGIS Server extensions